/*
----------------------------------------------------------------------------
Library: 	KEYPAD32
Version:	1.0.0
Date:		12/04/2016
Author:		BisoTronic
Copyright:	(C) 2014-2015 Seletronica s.a.s.
Copyright:	(C) 2016      BisoTronic 
License: 	Creative Commons license 3.0 - Attribution-ShareAlike
----------------------------------------------------------------------------
Purpose:	This library gives access to Archiduino LCD custom board and its
			user customizable buttons.
			Its use is intended only for Archiduino 32U4 modular controller, 
			made in Italy by Seletronica s.a.s.
----------------------------------------------------------------------------
Websites:	http://www.archiduino.com/
			http://www.seletronica.com 
			http://www.bisotronic.it
----------------------------------------------------------------------------
Licensing:	This library is free software; you can redistribute it and/or
			modify it under the terms of the GNU Lesser General Public
			License as published by the Free Software Foundation; either
			version 2.1 of the License, or (at your option) any later version.
----------------------------------------------------------------------------
Disclaimer:	This library is published "as is", without technical support, 
			and with no warranty, express or implied, as to its use for any 
			purpose. IN NO EVENT Seletronica OR BisoTronic OR ITS LICENSORS BE 
			LIABLE FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL, INCIDENTAL OR 
			SPECIAL DAMAGES, INCLUDING, WITHOUT LIMITATION, LOSS OF REVENUE, 
			LOSS OF PROFITS, LOSS ARISING FROM INTERRUPTION OR LOSS OF DATA, 
			REGARDLESS OF THE FORM OF ACTION OR LEGAL THEORY ON WHICH THE 
			LIABILITY MAY BE EXERCISED, EVEN IF ADVISED OF THE POSSIBILITY 
			OR LIKELIHOOD OF SUCH DAMAGES.
----------------------------------------------------------------------------
*/

#ifndef KEYPAD32_h
#define KEYPAD32_h


class KEYPAD32
{
public: 
	KEYPAD32();
	
	void ledOn();
	void ledOff();

	bool IsButton1Pressed();
	bool IsButton2Pressed();
	bool IsButton3Pressed();
	bool IsButton4Pressed();

protected:
	uint8_t readButton();
	void InitKeypad();

private:
	int _keyOff;
	int _keyValue;

};

#endif // KEYPAD32_h

