/*
----------------------------------------------------------------------------
Library: 	RES32
Version:	1.0.0
Date:		12/04/2016
Author:		BisoTronic
Copyright:	(C) 2014-2015 Seletronica s.a.s.
Copyright:	(C) 2016      BisoTronic 
License: 	Creative Commons license 3.0 - Attribution-ShareAlike
----------------------------------------------------------------------------
Purpose:	This library gives access to Archiduino extende resources.
			Its use is intended only for Archiduino 32U4 modular controller, 
			made in Italy by Seletronica s.a.s.
----------------------------------------------------------------------------
Websites:	http://www.archiduino.com/
			http://www.seletronica.com 
			http://www.bisotronic.it
----------------------------------------------------------------------------
Licensing:	This library is free software; you can redistribute it and/or
			modify it under the terms of the GNU Lesser General Public
			License as published by the Free Software Foundation; either
			version 2.1 of the License, or (at your option) any later version.
----------------------------------------------------------------------------
Disclaimer:	This library is published "as is", without technical support, 
			and with no warranty, express or implied, as to its use for any 
			purpose. IN NO EVENT Seletronica OR BisoTronic OR ITS LICENSORS BE 
			LIABLE FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL, INCIDENTAL OR 
			SPECIAL DAMAGES, INCLUDING, WITHOUT LIMITATION, LOSS OF REVENUE, 
			LOSS OF PROFITS, LOSS ARISING FROM INTERRUPTION OR LOSS OF DATA, 
			REGARDLESS OF THE FORM OF ACTION OR LEGAL THEORY ON WHICH THE 
			LIABILITY MAY BE EXERCISED, EVEN IF ADVISED OF THE POSSIBILITY 
			OR LIKELIHOOD OF SUCH DAMAGES.
----------------------------------------------------------------------------
*/


#ifndef RES32_h
#define RES32_h


/* Includes Archiduino libraries */
#include <Archiduino32.h>
#include <LCD32.h>
#include <Arduino.h>

/* Includes Arduino libraries */
#include <LiquidCrystal.h>
#include <LiquidCrystal_I2C.h>
#include <Wire.h>
#include <Time.h>
#include <DS1307RTC.h>


#ifdef __cplusplus
extern "C"{
#endif

// wiring_digital_ex.cpp
void pinModeEx(uint8_t, uint8_t);
void digitalWriteEx(uint8_t, uint8_t);
int digitalReadEx(uint8_t);

#ifdef __cplusplus
} // extern "C"
#endif


// archiduino.cpp
bool readRtcData(tmElements_t* tm);
bool writeRtcData(tmElements_t* tm);
bool getRtcTime(const char *str, tmElements_t* tm);
bool getRtcDate(const char *str, tmElements_t* tm);
bool readEepData(uint8_t dev, char* buf, uint8_t add, uint8_t len);
bool readEepData(uint8_t dev, char* buf, int add, uint8_t len);
bool writeEepData(uint8_t dev, char* buf, uint8_t add, uint8_t len);
bool writeEepData(uint8_t dev, char* buf, int add, uint8_t len);




#endif // ArchiduinoRes_h
